Create a one-time magic link

POST /links

Creates a one-time-use magic link for session-based authentication in UI login flows.

Request body✻

Content application/json

Documentation

Properties

goToUrlstring

Link to go to URL

default: /account"/account""/apps?categories=cgm""/apps?categories=forecasting""/callback"format: uri-template

Documentation

callbackUrlstring✻

The callback URL is the redirect url that will be passed to the app.

format: uri

Documentation

Example
"https://example.com/callback"

Responses

    201Created

Content application/json

Documentation

Properties

idstring✻

The link ID is a unique identifier for a link.

format: uuid

Documentation

Example
"9352258f-0263-47d1-b9c7-16cd93be7501"

expiresAtstring✻

The expiresAt timestamp is the time when the entity is no longer valid.

format: date-time

Documentation

Example
"2023-07-18T13:47:55.713Z"

urlstring✻

The URL is one-time link that will attach a session and redirect to an app.

format: uri

Documentation

Example
"https://id.hedia.dev/links/9352258f-0263-47d1-b9c7-16cd93be7501"

Security

Servers

    id.hedia.comhttps://id.hedia.com/api/v1